extern crate clap;

use clap::Parser;

#[derive(Parser)]
pub struct GeneratorOptions {
    #[arg()]
    pub archive_file: String,

    #[arg(short, long, default_value = "ActivityPub Export")]
    pub title: String,

    #[arg(short = 'o', long, default_value = "out")]
    pub output_dir: String,

    #[arg(short = 'O', long)]
    pub overwrite: bool,
}
